| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class BooleanType

    java.lang.Object
      |
      +--Type
            |
            +--BaseType
                  |
                  +--BooleanType

public class BooleanType
extends BaseType

Field Summary

Fields inherited from class Type
`hamaDebug, type, used`

Constructor Summary
`BooleanType()`

Methods inherited from class Type
`get_codegen_Type, get_Name, get_Type, get_UsedId, set_Type, set_UsedId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanType

    public BooleanType()

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD